Bug 471964 - XO: Choppy sound and freeze for rhythmbox
XO: Choppy sound and freeze for rhythmbox
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2008-11-17 16:37 EST by Luya Tshimbalanga
Modified: 2009-10-22 06:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-22 06:01:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luya Tshimbalanga 2008-11-17 16:37:03 EST
Description of problem:


Version-Release number of selected component (if applicable):
0.11.6

How reproducible:
Always using F10 Preview for XO laptoop

Steps to Reproduce:
1. Simply play any music using rhythmbox
2.
3.
  
Actual results:
Choppy sound then freeze after almost 30 second

Expected results:
Music should play smoothly

Additional info:

$ rhythmbox
OIL: ERROR liboiltest.c 361: oil_test_check_impl(): illegal instruction in mmxCombineAddU
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
I: caps.c: Dropping root privileges.
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
Comment 1 Bug Zapper 2008-11-26 00:32:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Craig Kelley 2008-11-26 11:36:26 EST
Confirm the skipping problem in F10 final.  It does not freeze for me though.

alsa-lib-1.0.18-6.rc3.fc10.i386
alsa-lib-devel-1.0.18-6.rc3.fc10.i386
alsa-plugins-pulseaudio-1.0.18-1.rc3.fc10.i386
alsa-utils-1.0.18-6.fc10.i386
bluez-alsa-4.17-2.fc10.i386
pidgin-rhythmbox-2.0-3.fc9.i386
pulseaudio-0.9.13-6.fc10.i386
pulseaudio-core-libs-0.9.13-6.fc10.i386
pulseaudio-esound-compat-0.9.13-6.fc10.i386
pulseaudio-libs-0.9.13-6.fc10.i386
pulseaudio-libs-glib2-0.9.13-6.fc10.i386
pulseaudio-libs-zeroconf-0.9.13-6.fc10.i386
pulseaudio-module-bluetooth-0.9.13-6.fc10.i386
pulseaudio-module-gconf-0.9.13-6.fc10.i386
pulseaudio-module-jack-0.9.13-6.fc10.i386
pulseaudio-module-lirc-0.9.13-6.fc10.i386
pulseaudio-module-x11-0.9.13-6.fc10.i386
pulseaudio-module-zeroconf-0.9.13-6.fc10.i386
pulseaudio-utils-0.9.13-6.fc10.i386
rhythmbox-0.11.6-15.6005.fc10.i386
Comment 3 Christian Nolte 2008-12-01 14:32:58 EST
I can confirm this too. I am using rythmbox and amarok.
Comment 4 Christian Nolte 2008-12-02 11:29:06 EST
This mailinglist thread could be related to this problem:

http://www.spinics.net/linux/fedora/fedora-users/msg322978.html

I will try to turn timer-based scheduling off, like mentioned in the thread:

"replace the line

  load-module module-hal-detect

in /etc/pulse/default.pa by

  load-module module-hal-detect tsched=0"
Comment 5 Christian Nolte 2008-12-03 12:46:46 EST
Disabling timer-based scheduling seems to have improved the situation for me. Until I start 'pavucontrol' the sound is no longer choppy for me. When pavucontrol is running there seems to be a connection between the volume display and the choppiness...

While pavucontrol is running, pulseaudio generates a high cpu load of about 50-90%. After about one minute pavucontrol quits with the message "connection lost". pulseaudio is then killed and sound output stops completely.

Shortly before pulseaudio is killed it generates a lot of the following messages:

---
E: module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.
---

Then it recieves a SIGXCPU as debugging with gdb shows.
Comment 6 Christian Nolte 2008-12-18 07:36:43 EST
Found an upstream bug which could be related to this problem:

http://www.pulseaudio.org/ticket/435

What soundcards are you using? Mine is a

[nolte@ravine SPECS]$ lspci | grep -i audio
01:07.0 Multimedia audio controller: Creative Labs SB Audigy (rev 03)

Using the emu10k1 module.

As a side-note: This problem occurs for me in games (urbanterror) and using totem-xine and amarok.
Comment 7 Bastien Nocera 2008-12-18 09:36:54 EST
Nothing to do with rhythmbox, or GStreamer then.
Comment 8 Lennart Poettering 2008-12-18 10:37:13 EST
Chrisian: The emu10k1 driver is broken, the timing information returned by that driver are unreliable, This is due to the fact that creative is very uncooperative with free software community and doesn't provide specs. Don't buy Creative!

Please dont hijack bug reports! This bug report is pretty much worthless since it describes problems with a lot of different hardware and environments.

I will ignore all comments in this report that are unrelated to the XO case. Luya, which driver are you using?
Comment 9 Luya Tshimbalanga 2008-12-19 00:40:20 EST
(In reply to comment #8)

> I will ignore all comments in this report that are unrelated to the XO case.
> Luya, which driver are you using?

Advanced Micro Devices [AMD] CS5536 [Geode companion]
Comment 10 Luya Tshimbalanga 2008-12-19 01:00:49 EST
(In reply to comment #9)
> (In reply to comment #8)
> 
> > I will ignore all comments in this report that are unrelated to the XO case.
> > Luya, which driver are you using?
> 
> Advanced Micro Devices [AMD] CS5536 [Geode companion]

My mad, I mentioned soundcard. The driver is cs5535audio running SDHC F10 on XO.
Comment 11 Fabrício Godoy 2009-01-08 18:18:38 EST
I had a problem with timer-based scheduling too, please see details at http://bugzilla.gnome.org/show_bug.cgi?id=566468
Comment 12 Adam Williamson 2009-10-20 14:25:06 EDT
seems this one dropped off the radar. F10 is about to go EOL; Luya, did you still see this problem with F11, if you tried it? Have you checked out F12? We can move it forward to one of those two releases if the problem is still present.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 Luya Tshimbalanga 2009-10-22 04:51:36 EDT
(In reply to comment #12)
> seems this one dropped off the radar. F10 is about to go EOL; Luya, did you
> still see this problem with F11, if you tried it? Have you checked out F12? We
> can move it forward to one of those two releases if the problem is still
> present.
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers  

Running rhythmbox on XO-1 through os8 (Fedora 11). The sound no longer freeze on rhythmbox. It appears the problem is resolved. Should the issue occur again, I will reopen it.
Comment 14 Bastien Nocera 2009-10-22 06:01:35 EDT
Closing as per comment.

Note You need to log in before you can comment on or make changes to this bug.